Start Stop Managed Instance Schedules - Create Or Update

マネージド インスタンスの開始/停止スケジュールを作成または更新します。

PUT https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Sql/managedInstances/{managedInstanceName}/startStopSchedules/default?api-version=2025-01-01

URI パラメーター

名前 / 必須 説明
managedInstanceName
path True

string

マネージド インスタンスの名前。

resourceGroupName
path True

string

minLength: 1
maxLength: 90

リソース グループの名前。 名前の大文字と小文字は区別されません。

startStopScheduleName
path True

StartStopScheduleName

マネージド インスタンスの開始/停止スケジュールの名前。

subscriptionId
path True

string (uuid)

ターゲット サブスクリプションの ID。 値は UUID である必要があります。

api-version
query True

string

minLength: 1

この操作に使用する API バージョン。

要求本文

名前 必須 説明
properties.scheduleList True

ScheduleItem[]

スケジュール リスト。

properties.description

string

スケジュールの説明。

properties.timeZoneId

string

スケジュールのタイム ゾーン。

応答

名前 説明
200 OK

StartStopManagedInstanceSchedule

リソース「StartStopManagedInstanceSchedule」更新操作が成功しました

201 Created

StartStopManagedInstanceSchedule

リソース「StartStopManagedInstanceSchedule」作成操作が成功しました

Other Status Codes

ErrorResponse

予期しないエラー応答。

セキュリティ

azure_auth

Azure Active Directory OAuth2 Flow.

型: oauth2
フロー: implicit
Authorization URL (承認 URL): https://login.microsoftonline.com/common/oauth2/authorize

スコープ

名前 説明
user_impersonation ユーザー アカウントを偽装する

Creates or updates the managed instance's Start/Stop schedule with all optional parameters specified.
Creates or updates the managed instance's Start/Stop schedule with no optional parameters specified.

Creates or updates the managed instance's Start/Stop schedule with all optional parameters specified.

要求のサンプル

PUT https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/schedulerg/providers/Microsoft.Sql/managedInstances/schedulemi/startStopSchedules/default?api-version=2025-01-01

{
  "properties": {
    "description": "This is a schedule for our Dev/Test environment.",
    "scheduleList": [
      {
        "startDay": "Thursday",
        "startTime": "18:00",
        "stopDay": "Thursday",
        "stopTime": "17:00"
      },
      {
        "startDay": "Thursday",
        "startTime": "15:00",
        "stopDay": "Thursday",
        "stopTime": "14:00"
      }
    ],
    "timeZoneId": "Central European Standard Time"
  }
}

応答のサンプル

{
  "name": "default",
  "type": "Microsoft.Sql/managedInstances/startStopSchedules",
  "id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/schedulerg/providers/Microsoft.Sql/managedInstances/schedulemi/startStopSchedules/default",
  "properties": {
    "description": "This is a schedule for our Dev/Test environment.",
    "nextExecutionTime": "2021-08-26T14:00:00",
    "nextRunAction": "Stop",
    "scheduleList": [
      {
        "startDay": "Thursday",
        "startTime": "06:00 PM",
        "stopDay": "Thursday",
        "stopTime": "05:00 PM"
      },
      {
        "startDay": "Thursday",
        "startTime": "03:00 PM",
        "stopDay": "Thursday",
        "stopTime": "02:00 PM"
      }
    ],
    "timeZoneId": "Central European Standard Time"
  },
  "systemData": {
    "createdAt": "2021-08-26T04:41:33.937Z",
    "createdBy": "string",
    "createdByType": "User",
    "lastModifiedAt": "2021-08-27T04:41:33.937Z",
    "lastModifiedBy": "string",
    "lastModifiedByType": "User"
  }
}
{
  "name": "default",
  "type": "Microsoft.Sql/managedInstances/startStopSchedules",
  "id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/schedulerg/providers/Microsoft.Sql/managedInstances/schedulemi/startStopSchedules/default",
  "properties": {
    "description": "This is a schedule for our Dev/Test environment.",
    "nextExecutionTime": "2021-08-26T14:00:00",
    "nextRunAction": "Stop",
    "scheduleList": [
      {
        "startDay": "Thursday",
        "startTime": "06:00 PM",
        "stopDay": "Thursday",
        "stopTime": "05:00 PM"
      },
      {
        "startDay": "Thursday",
        "startTime": "03:00 PM",
        "stopDay": "Thursday",
        "stopTime": "02:00 PM"
      }
    ],
    "timeZoneId": "Central European Standard Time"
  },
  "systemData": {
    "createdAt": "2021-08-26T04:41:33.937Z",
    "createdBy": "string",
    "createdByType": "User",
    "lastModifiedAt": "2021-08-26T04:41:33.937Z",
    "lastModifiedBy": "string",
    "lastModifiedByType": "User"
  }
}

Creates or updates the managed instance's Start/Stop schedule with no optional parameters specified.

要求のサンプル

PUT https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/schedulerg/providers/Microsoft.Sql/managedInstances/schedulemi/startStopSchedules/default?api-version=2025-01-01

{
  "properties": {
    "scheduleList": [
      {
        "startDay": "Thursday",
        "startTime": "18:00",
        "stopDay": "Thursday",
        "stopTime": "17:00"
      },
      {
        "startDay": "Thursday",
        "startTime": "15:00",
        "stopDay": "Thursday",
        "stopTime": "14:00"
      }
    ]
  }
}

応答のサンプル

{
  "name": "default",
  "type": "Microsoft.Sql/managedInstances/startStopSchedules",
  "id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/schedulerg/providers/Microsoft.Sql/managedInstances/schedulemi/startStopSchedules/default",
  "properties": {
    "description": "",
    "nextExecutionTime": "2021-08-26T14:00:00",
    "nextRunAction": "Stop",
    "scheduleList": [
      {
        "startDay": "Thursday",
        "startTime": "06:00 PM",
        "stopDay": "Thursday",
        "stopTime": "05:00 PM"
      },
      {
        "startDay": "Thursday",
        "startTime": "03:00 PM",
        "stopDay": "Thursday",
        "stopTime": "02:00 PM"
      }
    ],
    "timeZoneId": "UTC"
  },
  "systemData": {
    "createdAt": "2021-08-26T04:41:33.937Z",
    "createdBy": "string",
    "createdByType": "User",
    "lastModifiedAt": "2021-08-27T04:41:33.937Z",
    "lastModifiedBy": "string",
    "lastModifiedByType": "User"
  }
}
{
  "name": "default",
  "type": "Microsoft.Sql/managedInstances/startStopSchedules",
  "id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/schedulerg/providers/Microsoft.Sql/managedInstances/schedulemi/startStopSchedules/default",
  "properties": {
    "description": "",
    "nextExecutionTime": "2021-08-26T14:00:00",
    "nextRunAction": "Stop",
    "scheduleList": [
      {
        "startDay": "Thursday",
        "startTime": "06:00 PM",
        "stopDay": "Thursday",
        "stopTime": "05:00 PM"
      },
      {
        "startDay": "Thursday",
        "startTime": "03:00 PM",
        "stopDay": "Thursday",
        "stopTime": "02:00 PM"
      }
    ],
    "timeZoneId": "UTC"
  },
  "systemData": {
    "createdAt": "2021-08-26T04:41:33.937Z",
    "createdBy": "string",
    "createdByType": "User",
    "lastModifiedAt": "2021-08-26T04:41:33.937Z",
    "lastModifiedBy": "string",
    "lastModifiedByType": "User"
  }
}

定義

名前 説明
createdByType

リソースを作成した ID の種類。

DayOfWeek

メンテナンス期間の日。

ErrorAdditionalInfo

リソース管理エラーの追加情報。

ErrorDetail

エラーの詳細。

ErrorResponse

エラー応答

ScheduleItem

サーバーを開始または停止するタイミングを説明するスケジュール情報。

StartStopManagedInstanceSchedule

マネージド インスタンスの開始/停止スケジュール。

StartStopScheduleName
systemData

リソースの作成と最後の変更に関連するメタデータ。

createdByType

リソースを作成した ID の種類。

説明
User
Application
ManagedIdentity
Key

DayOfWeek

メンテナンス期間の日。

説明
Sunday

日曜日

Monday

月曜日

Tuesday

火曜日

Wednesday

水曜日

Thursday

木曜日

Friday

金曜日

Saturday

土曜日

ErrorAdditionalInfo

リソース管理エラーの追加情報。

名前 説明
info

object

追加情報。

type

string

追加情報の種類。

ErrorDetail

エラーの詳細。

名前 説明
additionalInfo

ErrorAdditionalInfo[]

エラーの追加情報。

code

string

エラー コード。

details

ErrorDetail[]

エラーの詳細。

message

string

エラー メッセージ。

target

string

エラーターゲット。

ErrorResponse

エラー応答

名前 説明
error

ErrorDetail

エラー オブジェクト。

ScheduleItem

サーバーを開始または停止するタイミングを説明するスケジュール情報。

名前 説明
startDay

DayOfWeek

開始日。

startTime

string

開始時刻。

stopDay

DayOfWeek

日を止めてください。

stopTime

string

時間を止める。

StartStopManagedInstanceSchedule

マネージド インスタンスの開始/停止スケジュール。

名前 規定値 説明
id

string (arm-id)

リソースの完全修飾リソース ID。 例: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}"

name

string

リソースの名前

properties.description

string

スケジュールの説明。

properties.nextExecutionTime

string

対応するスケジュール タイム ゾーンで次のアクションが実行されるタイムスタンプ。

properties.nextRunAction

string

実行する次のアクション (開始または停止)

properties.scheduleList

ScheduleItem[]

スケジュール リスト。

properties.timeZoneId

string

UTC

スケジュールのタイム ゾーン。

systemData

systemData

create By と modifiedBy の情報を含む Azure Resource Manager メタデータ。

type

string

リソースの型。 例えば「Microsoft。Compute/virtualMachines」または「Microsoft」などです。ストレージ/ストレージアカウント」

StartStopScheduleName

説明
default

デフォルト

systemData

リソースの作成と最後の変更に関連するメタデータ。

名前 説明
createdAt

string (date-time)

リソース作成のタイムスタンプ (UTC)。

createdBy

string

リソースを作成した ID。

createdByType

createdByType

リソースを作成した ID の種類。

lastModifiedAt

string (date-time)

リソースの最終変更のタイムスタンプ (UTC)

lastModifiedBy

string

リソースを最後に変更した ID。

lastModifiedByType

createdByType

リソースを最後に変更した ID の種類。